# coding: utf-8

# flake8: noqa
## eMASS API v3.10 Specification

The emass_client_api is a Python client that implements the [Enterprise Mission Assurance Support Service (eMASS)](https://disa.mil/~/media/Files/DISA/Fact-Sheets/eMASS.pdf)
Representational State Transfer (REST) Application Programming Interface (API) specifications.


This Python package was generated from the eMASS API specification:

- API version: v3.10
- Package version: 3.10.1
- Build date: 2023-06-13T18:24:16.147147Z[Etc/UTC]

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import emass_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import emass_client
```

### Tests

Execute `pytest` to run the tests.

# import models into model package
from emass_client.models.artifacts_get import ArtifactsGet
from emass_client.models.artifacts_request_delete_body_inner import ArtifactsRequestDeleteBodyInner
from emass_client.models.artifacts_response_del import ArtifactsResponseDel
from emass_client.models.artifacts_response_del_data_inner import ArtifactsResponseDelDataInner
from emass_client.models.artifacts_response_get import ArtifactsResponseGet
from emass_client.models.artifacts_response_put_post import ArtifactsResponsePutPost
from emass_client.models.artifacts_response_put_post_data_inner import ArtifactsResponsePutPostDataInner
from emass_client.models.cac_get import CacGet
from emass_client.models.cac_response_get import CacResponseGet
from emass_client.models.cac_response_post import CacResponsePost
from emass_client.models.cac_response_post_data_inner import CacResponsePostDataInner
from emass_client.models.cloud_resources_post import CloudResourcesPost
from emass_client.models.cloud_resources_response_post import CloudResourcesResponsePost
from emass_client.models.cmmc_get import CmmcGet
from emass_client.models.cmmc_response_get import CmmcResponseGet
from emass_client.models.connectivity_ccsd import ConnectivityCcsd
from emass_client.models.containers_resources_post import ContainersResourcesPost
from emass_client.models.containers_response_post import ContainersResponsePost
from emass_client.models.controls_get import ControlsGet
from emass_client.models.controls_put import ControlsPut
from emass_client.models.controls_response_get import ControlsResponseGet
from emass_client.models.controls_response_put import ControlsResponsePut
from emass_client.models.dashboard_mock_response import DashboardMockResponse
from emass_client.models.dashboard_mock_response_pagination import DashboardMockResponsePagination
from emass_client.models.definition_transitions import DefinitionTransitions
from emass_client.models.instances_transitions import InstancesTransitions
from emass_client.models.milestone_response_get import MilestoneResponseGet
from emass_client.models.milestone_response_get_milestone import MilestoneResponseGetMilestone
from emass_client.models.milestone_response_post import MilestoneResponsePost
from emass_client.models.milestone_response_put import MilestoneResponsePut
from emass_client.models.milestones_get import MilestonesGet
from emass_client.models.milestones_put_post_delete import MilestonesPutPostDelete
from emass_client.models.milestones_request_delete_body_inner import MilestonesRequestDeleteBodyInner
from emass_client.models.milestones_required_post import MilestonesRequiredPost
from emass_client.models.milestones_required_put import MilestonesRequiredPut
from emass_client.models.mock_object import MockObject
from emass_client.models.pac_get import PacGet
from emass_client.models.pac_post import PacPost
from emass_client.models.pac_response_get import PacResponseGet
from emass_client.models.pac_response_post import PacResponsePost
from emass_client.models.poam_get import PoamGet
from emass_client.models.poam_post_put_del import PoamPostPutDel
from emass_client.models.poam_request_delete_body_inner import PoamRequestDeleteBodyInner
from emass_client.models.poam_response_delete import PoamResponseDelete
from emass_client.models.poam_response_get_poams import PoamResponseGetPoams
from emass_client.models.poam_response_get_systems import PoamResponseGetSystems
from emass_client.models.poam_response_post import PoamResponsePost
from emass_client.models.poam_response_put import PoamResponsePut
from emass_client.models.register import Register
from emass_client.models.register_data import RegisterData
from emass_client.models.register_user_request_post_body import RegisterUserRequestPostBody
from emass_client.models.response200 import Response200
from emass_client.models.response201 import Response201
from emass_client.models.response201_meta import Response201Meta
from emass_client.models.response400 import Response400
from emass_client.models.response400_meta import Response400Meta
from emass_client.models.response401 import Response401
from emass_client.models.response401_meta import Response401Meta
from emass_client.models.response403 import Response403
from emass_client.models.response403_meta import Response403Meta
from emass_client.models.response404 import Response404
from emass_client.models.response405 import Response405
from emass_client.models.response405_meta import Response405Meta
from emass_client.models.response411 import Response411
from emass_client.models.response411_meta import Response411Meta
from emass_client.models.response490 import Response490
from emass_client.models.response490_meta import Response490Meta
from emass_client.models.response500 import Response500
from emass_client.models.response500_meta import Response500Meta
from emass_client.models.role_category import RoleCategory
from emass_client.models.roles import Roles
from emass_client.models.ssps import Ssps
from emass_client.models.stage import Stage
from emass_client.models.static_code_application import StaticCodeApplication
from emass_client.models.static_code_post import StaticCodePost
from emass_client.models.static_code_request_post_body import StaticCodeRequestPostBody
from emass_client.models.static_code_request_post_body_application import StaticCodeRequestPostBodyApplication
from emass_client.models.static_code_response_post import StaticCodeResponsePost
from emass_client.models.success200_response import Success200Response
from emass_client.models.success200_response_data_inner import Success200ResponseDataInner
from emass_client.models.system_response import SystemResponse
from emass_client.models.system_roles_category_response import SystemRolesCategoryResponse
from emass_client.models.system_roles_response import SystemRolesResponse
from emass_client.models.system_roles_response_data_inner import SystemRolesResponseDataInner
from emass_client.models.systems import Systems
from emass_client.models.systems_response import SystemsResponse
from emass_client.models.test import Test
from emass_client.models.test_data import TestData
from emass_client.models.test_results_get import TestResultsGet
from emass_client.models.test_results_post import TestResultsPost
from emass_client.models.test_results_response_get import TestResultsResponseGet
from emass_client.models.test_results_response_post import TestResultsResponsePost
from emass_client.models.users import Users
from emass_client.models.workflow_definition_get import WorkflowDefinitionGet
from emass_client.models.workflow_definition_response_get import WorkflowDefinitionResponseGet
from emass_client.models.workflow_instance_get import WorkflowInstanceGet
from emass_client.models.workflow_instance_response_get import WorkflowInstanceResponseGet
from emass_client.models.workflow_instances_get import WorkflowInstancesGet
from emass_client.models.workflow_instances_response_get import WorkflowInstancesResponseGet
from emass_client.models.workflow_instances_response_get_pagination import WorkflowInstancesResponseGetPagination
